<template>
  <li class="li">
    <base-button link :to="detailsLink" mode="outline">{{ showTime }}</base-button>
  </li>
</template>

<script setup>
import { defineProps, ref, computed } from "vue";
import { useStore } from "vuex";
import { useRoute } from "vue-router";

const store = useStore();
const route = useRoute();

const props = defineProps([
  "id",
]);

const selectedScreening = ref(null);

const detailsLink = computed(function () {
  return route.path + "/" + props.id;
});
const showTime = computed(function () {
  const date = selectedScreening.value.dateTime;
  // console.log(new Date(date.substring(0, 10)));
  return (
      date.substring(11, 16)
  );
});

selectedScreening.value = store.getters.screenings.find(screening => screening.id === props.id);
</script>

<style scoped>
.li {
  margin: 0 1rem 0 0;
  border: none;
  padding: 0;
  display: inline-block;
}
</style>